summaryrefslogtreecommitdiff
path: root/cpp/src/tests/ais_check
diff options
context:
space:
mode:
authorAlan Conway <aconway@apache.org>2008-06-25 20:51:30 +0000
committerAlan Conway <aconway@apache.org>2008-06-25 20:51:30 +0000
commit4d560b89fa09056c22cd42e212c9ce8addeecb5a (patch)
tree3a15eb32ca85193ed5d2b97b5c6e7a6f053fb5f1 /cpp/src/tests/ais_check
parent830943be4ed6ae90edd2e2655720c0dcc721171d (diff)
downloadqpid-python-4d560b89fa09056c22cd42e212c9ce8addeecb5a.tar.gz
Additions to the client API:
- SubscriptionManager::get(queue) to get a single message from a queue. - Set FlowControl per-subscription. git-svn-id: https://svn.apache.org/repos/asf/incubator/qpid/trunk/qpid@671655 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'cpp/src/tests/ais_check')
-rwxr-xr-xcpp/src/tests/ais_check12
1 files changed, 9 insertions, 3 deletions
diff --git a/cpp/src/tests/ais_check b/cpp/src/tests/ais_check
index 344f15a94e..f16480b7f0 100755
--- a/cpp/src/tests/ais_check
+++ b/cpp/src/tests/ais_check
@@ -1,7 +1,6 @@
#!/bin/sh
-# Check for requirements, run AIS tests if found.
-#
+# Check AIS requirements tests if found.
id -nG | grep '\<ais\>' >/dev/null || \
NOGROUP="You are not a member of the ais group."
ps -u root | grep aisexec >/dev/null || \
@@ -24,4 +23,11 @@ EOF
exit 0; # A warning, not a failure.
fi
-echo `dirname $0`/ais_run | newgrp ais
+# Run the tests
+srcdir=`dirname $0`
+$srcdir/start_cluster 4
+./ais_test
+ret=$?
+$srcdir/stop_cluster
+exit $ret
+